<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('umkms', function (Blueprint $table) {
            // Mengubah kolom modal_awal agar memiliki default 0
            $table->bigInteger('modal_awal')->default(0)->change();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('umkms', function (Blueprint $table) {
            // Mengembalikan ke kondisi sebelumnya jika migrasi dibatalkan
            $table->bigInteger('modal_awal')->change();
        });
    }
};